import request from '@/utils/request'

// 查询考勤组人员列表
export function listAttendGroupUsr(query) {
  return request({
    url: '/park/attendGroupUsr/list',
    method: 'get',
    params: query
  })
}

// 查询考勤组人员详细
export function getAttendGroupUsr(id) {
  return request({
    url: '/park/attendGroupUsr/' + id,
    method: 'get'
  })
}

// 新增考勤组人员
export function addAttendGroupUsr(data) {
  return request({
    url: '/park/attendGroupUsr',
    method: 'post',
    data: data
  })
}

export function batchAddAttendGroupUsr(data) {
  return request({
    url: '/park/attendGroupUsr/addGroupUsr',
    method: 'post',
    data: data
  })
}

// 修改考勤组人员
export function updateAttendGroupUsr(data) {
  return request({
    url: '/park/attendGroupUsr',
    method: 'put',
    data: data
  })
}

// 删除考勤组人员
export function delAttendGroupUsr(id) {
  return request({
    url: '/park/attendGroupUsr/' + id,
    method: 'delete'
  })
}
